package com.fs.company.service;

import com.fs.company.domain.CompanyWxDialog;

import java.util.List;

/**
 * 添加微信话术Service接口
 * 
 * @author fs
 * @date 2024-12-06
 */
public interface ICompanyWxDialogService 
{
    /**
     * 查询添加微信话术
     * 
     * @param id 添加微信话术ID
     * @return 添加微信话术
     */
    public CompanyWxDialog selectCompanyWxDialogById(Long id);

    /**
     * 查询添加微信话术列表
     * 
     * @param companyWxDialog 添加微信话术
     * @return 添加微信话术集合
     */
    public List<CompanyWxDialog> selectCompanyWxDialogList(CompanyWxDialog companyWxDialog);

    /**
     * 新增添加微信话术
     * 
     * @param companyWxDialog 添加微信话术
     * @return 结果
     */
    public int insertCompanyWxDialog(CompanyWxDialog companyWxDialog);

    /**
     * 修改添加微信话术
     * 
     * @param companyWxDialog 添加微信话术
     * @return 结果
     */
    public int updateCompanyWxDialog(CompanyWxDialog companyWxDialog);

    /**
     * 批量删除添加微信话术
     * 
     * @param ids 需要删除的添加微信话术ID
     * @return 结果
     */
    public int deleteCompanyWxDialogByIds(Long[] ids);

    /**
     * 删除添加微信话术信息
     * 
     * @param id 添加微信话术ID
     * @return 结果
     */
    public int deleteCompanyWxDialogById(Long id);
}
